@echo off

REM Print the path of the working directory to confirm that we're indeed inside the INSTDIR\Driver folder
cd

goto check_Permissions

:check_Permissions
    echo Administrative permissions required. Detecting permissions...

    net session >nul 2>&1
    if %errorLevel% == 0 (
        echo Success: Administrative permissions confirmed.
        goto uninstall
    ) else (
        echo Failure: Current permissions inadequate.
        goto fail
    )
 
:uninstall
setlocal DisableDelayedExpansion

REM REMOVE THE DEVICE
REM devcon.exe remove "*PCI\VEN_1F0A&DEV_680*"
REM if NOT errorlevel == 0 (
REM     echo Can not remove Motorcomm Ethernet Adapter, error %errorlevel%
REM     exit /b %errorlevel%
REM )


devcon.exe remove "*PCI\VEN_1F0A&DEV_6801"
if NOT errorlevel == 0 (
    echo Can not remove Motorcomm Ethernet Adapter, error %errorlevel%
    exit /b %errorlevel%
)


:uninstall_hidden_devices
FOR /F %%a IN ('devcon.exe findall "PCI\VEN_1F0A&DEV_6801"') DO (devcon remove "@%%a")


echo Motorcomm Ethernet Adapter successfully uninstalled from the system

:uninstall_oems
REM START BY FINDING THE OEM INF FILE
setlocal EnableDelayedExpansion
set OEM_FILE=
set oemdata="devcon.exe dp_enum"
FOR /F "eol=. tokens=*" %%a IN ( '%oemdata%' ) DO (
    set line=%%a
    set ourline=!line:Motorcomm=!
    if not !line!==!ourline! (
        SET OEM_FILE=!prev_line!
    )
    SET prev_line=%%a
)

if [%OEM_FILE%] == [] (
    goto uninstall_oems2
)
devcon.exe dp_delete %OEM_FILE%
REM echo Remove %OEM_FILE% error code %errorlevel%.
if %errorlevel% == 0 (
    goto uninstall_oems
)

:uninstall_oems2
REM START BY FINDING THE OEM INF FILE
setlocal EnableDelayedExpansion
set OEM_FILE=
set oemdata="devcon.exe dp_enum"
FOR /F "eol=. tokens=*" %%a IN ( '%oemdata%' ) DO (
    set line=%%a
    set ourline=!line:Motorcomm=!
    if not !line!==!ourline! (
        SET OEM_FILE=!prev_line!
    )
    SET prev_line=%%a
)

if [%OEM_FILE%] == [] (
    goto uninstall_oems_exit
)
devcon.exe dp_delete %OEM_FILE%
REM echo Remove %OEM_FILE% error code %errorlevel%.
if %errorlevel% == 0 (
    goto uninstall_oems2
)

:uninstall_oems_exit
setlocal DisableDelayedExpansion

:success
echo Accomplish
exit /b 0

:fail
echo Failure
exit /b 100